"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_core_1 = require("@patternfly/react-core");
const error_circle_o_icon_1 = __importDefault(require("@patternfly/react-icons/dist/esm/icons/error-circle-o-icon"));
const LocaleContext_1 = require("../context/LocaleContext");
require("./Feedback.css");
const FeedbackError = ({ onCloseModal }) => {
    const intl = react_1.default.useContext(LocaleContext_1.LocaleContext);
    return (react_1.default.createElement("div", { className: "chr-c-feedback-success-content" },
        react_1.default.createElement(error_circle_o_icon_1.default, { color: "var(--pf-global--danger-color--100)", className: "pf-u-mx-auto" }),
        react_1.default.createElement(react_core_1.TextContent, null,
            react_1.default.createElement(react_core_1.Text, { component: react_core_1.TextVariants.h1 }, intl.somethingWentWrong),
            react_1.default.createElement(react_core_1.Text, null,
                intl.problemProcessingRequest,
                ' ',
                react_1.default.createElement("a", { target: "_blank", href: "https://access.redhat.com/support", rel: "noreferrer" }, intl.getSupport))),
        react_1.default.createElement(react_core_1.Button, { variant: "primary", onClick: onCloseModal }, intl.close)));
};
exports.default = FeedbackError;
